Package pygccxml :: Package declarations :: Module cpptypes :: Class member_function_type_t

# type member_function_type_t

source code

        object --+
                 |
            type_t --+
                     |
        object --+   |
                 |   |
    calldef_type_t --+
                     |
                    member_function_type_t

describes member function type

Instance Methods

__init__(self, class_inst=None, return_type=None, arguments_types=None, has_const=False) | source code

create_typedef(self, typedef_name, class_alias=None, with_defaults=True) creates typedef to the function type | source code

create(self) | source code

build_decl_string(self, with_defaults=True) | source code

Inherited from `type_t`: `__eq__`, `__lt__`, `__ne__`, `__str__`, `clone`

Static Methods

create_decl_string(return_type, class_decl_string, arguments_types, has_const, with_defaults=True) | source code

Class Variables
| NAME_TEMPLATE = ``'``%(return_type)s ( %(class)s::* )( %(arguments``...``
| TYPEDEF_NAME_TEMPLATE = ``'``%(return_type)s ( %(class)s::*%(typed``...``

Properties
| has_const describes, whether function has const modifier
| class_inst reference to parent class
Inherited from `type_t`: `byte_align`, `byte_size`, `decl_string`, `partial_decl_string` Inherited from `calldef_type_t`: `arguments_types`, `has_ellipsis`, `return_type`

Method Details

### __init__(self, class_inst=None, return_type=None, arguments_types=None, has_const=False)
(Constructor)

source code

Overrides: calldef_type_t.__init__

### create_typedef(self, typedef_name, class_alias=None, with_defaults=True)

source code

creates typedef to the function type

Parameters:
  - `typedef_name` - desired type name
Returns:
  string

### build_decl_string(self, with_defaults=True)

source code

Overrides: type_t.build_decl_string

Class Variable Details

### NAME_TEMPLATE

Value:

      '%(return_type)s ( %(class)s::* )( %(arguments)s ) %(has_const)s'

### TYPEDEF_NAME_TEMPLATE

Value:

      '%(return_type)s ( %(class)s::*%(typedef_name)s )( %(arguments)s ) %(h
      as_const)s'

Property Details

### has_const

describes, whether function has const modifier

Get Method:
  _get_has_const(self)
Set Method:
  _set_has_const(self, has_const)

### class_inst

reference to parent class

Get Method:
  _get_class_inst(self)
Set Method:
  _set_class_inst(self, class_inst)